Name:           diffuse
Version:        0.4.8
Release:        1%{?dist}
Summary:        Graphical tool for merging and comparing text files
License:        GPLv2+
URL:            http://diffuse.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python2-devel
Requires:       hicolor-icon-theme
Requires:       pygtk2
Provides:       mergetool

%description
Diffuse is a graphical tool for merging and comparing text files. Diffuse is
able to compare an arbitrary number of files side-by-side and gives users the
ability to manually adjust line-matching and directly edit files. Diffuse can
also retrieve revisions of files from Bazaar, CVS, Darcs, Git, Mercurial,
Monotone, RCS, Subversion, and SVK repositories for comparison and merging.

%prep
%setup -q

%build
# TODO: Convert 256x256 to smaller size for finer display.

%install
%{__python2} install.py \
    --prefix=%{_prefix} \
    --destdir=%{buildroot} \
    --pythonbin="%{__python2}" \
    --files-only

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%config(noreplace) %{_sysconfdir}/diffuserc
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/diffuse.desktop
%{_datadir}/gnome/help/diffuse/*/diffuse.xml
%{_datadir}/icons/hicolor/*/apps/diffuse.*
%{_datadir}/omf/diffuse/diffuse-*.omf
%{_mandir}/man*/*
%{_mandir}/*/man*/*
%dir %{_datadir}/gnome/help/diffuse
%dir %{_datadir}/gnome/help/diffuse/*
%dir %{_datadir}/omf/diffuse

%changelog
* Mon Jul 21 2014 Christopher Meng <rpm@cicku.me> - 0.4.8-1
- Update to 0.4.8

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 01 2013 Christopher Meng <rpm@cicku.me> - 0.4.7-3
- Add virtual provide for mergetool.

* Sat Jun 29 2013 Christopher Meng <rpm@cicku.me> - 0.4.7-2
- Redefine the install step again.

* Sat May 18 2013 Christopher Meng <rpm@cicku.me> - 0.4.7-1
- New version.
- Redefine the install step.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 19 2011 Jon Levell <fedora@coralbark.net> - 0.4.5-1
- Update to 0.4.5 upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 10 2010 Jon Levell <fedora@coralbark.net> - 0.4.3-1
- Update to 0.4.3 upstream release

* Thu Sep 17  2009 Jon Levell <fedora@coralbark.net> - 0.4.0-1
- Update to new upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 4  2009 Jon Levell <fedora@coralbark.net> - 0.3.4-1
- Update to new upstream release (patch no longer needed)

* Tue Jun 30 2009 Jon Levell <fedora@coralbark.net> - 0.3.3-1
- Update to latest upstream release
- Add patch provided by upstream 

* Tue Mar 10 2009 Jon Levell <fedora@coralbark.net> - 0.3.1-1
- Update to latest upstream release

* Wed Feb 11 2009 Jon Levell <fedora@coralbark.net> - 0.2.15-4
- Validate the .desktop file
- Use the prescribed forms for scrollkeeper/update-desktop-database
- Clean up the unowned directories

* Sat Jan 24 2009 Jon Levell <fedora@coralbark.net> - 0.2.15-3
- Fix typos in formatting of changelog
- Fix buildroot in line with packaging guidelines
- Updated defattr with default directory permissions

* Wed Jan 21 2009 Jon Levell <fedora@coralbark.net> - 0.2.15-2
- Use macros in file paths
- patch .desktop file to add trailing semi-colons
- updated URL/source/group

* Tue Jan 20 2009 Jon Levell <fedora@coralbark.net> - 0.2.15-1
- clean buildroot on install
- conditional use scrollkeeper/update-desktop-database
- updated release/license as per Fedora guidelines
- first version submitted to Fedora
